Skip to main content

Save packet template

POST
/packet-constructor/templates

Validates and compiles the packet template and saves it to the shared library. Template errors are returned as a list in data.issues with paths to the fields.

Contract

Parameter
Value
Sectionpacket-constructor
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectName, description, and packet template
  • {
      "description": "<string>",
      "name": "<string>",
      "template": {}
    }

Responses

5 responses

Status
Description
Type
201
Response: {data: <new template ID>}object
400
Invalid request body, metadata, or template; template errors are listed in data.issues[]{path, message}object
401
Unauthorizedobject
413
Request body exceeds 8 MiBobject
500
Internal server errorobject
  • {}
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }